Po ostatniej aktualizacji nie działa Conky

Witam,
po ostatniej aktualizacji pojawił mi się następujący błąd:

conky: Syntax error (/home/addjar/.conkyrc:1: syntax error near 'tr') while reading config file. 
conky: Assuming it's in old syntax and attempting conversion.
conky: [string "..."]:159: attempt to call a nil value (global 'loadstring')

co prawda znalazłem podobny problem na forum lecz szczerze nie bardzo wiem jak miałbym sobie z nim poradzić - jestem nowym użytkownikiem linuxa, także prosił bym o wyrozumiałość.

Cześć,
Po prostu uruchom terminal i wykonaj wszystkie te polecenia. Możesz kopiować linia po lini, po wklejeniu każdej linii w terminal wciśnij ENTER, aby wykonać polecenie :slight_smile:

cp /usr/share/doc/conky-1.11.6_pre/convert.lua ~/bin/
chmod +x ~/bin/convert.lua

cd ~/.config/conky/
for i in $(ls *.conkyrc);do convert.lua $i;done

Dodatkowo wykonaj polecenie:

convert.lua ~/.conkyrc

Trochę mnie zastanawia skąd się wziął ten plik - bo w Maboxie go domyślnie nie ma.

Taka metoda konwersji zadziała na pewno na configi Conky dostarczane z Maboxem (sprawdzone i testowane), jeśli masz jakieś configi z netu to już nie ma pewności.

niby takie proste a trudne :grinning:
dziękuje ślicznie, doinstalowałem sobie: LSD-Conky-master
i to faktycznie nie działa. Jestem na etapie że więcej psuje niż naprawiam, jeszcze daleka droga przede mną i trochę zajmie mi czasu zanim zrozumienie co tu się zadziało. Dziękuje jeszcze raz i życzę miłego wieczoru.